Bug 1426283

Summary: [DS 10.1.1] Document memberof plugin performance improvements
Product: Red Hat Directory Server Reporter: mreynolds
Component: Doc-release-notesAssignee: Marc Muehlfeld <mmuehlfe>
Status: CLOSED CURRENTRELEASE QA Contact: Viktor Ashirov <vashirov>
Severity: unspecified Docs Contact: Marc Muehlfeld <mmuehlfe>
Priority: high    
Version: 10.0CC: mreynolds, pasik, rhel-docs, rkratky
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Improved performance of the Directory Server *memberOf* plug-in Previously, when working with large or nested groups, plug-in operations could take a long time. With this update, the performance of the Red Hat Directory Server *memberOf* plug-in has been improved. As a result, the *memberOf* plug-in now adds and removes users faster from groups.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-29 09:52:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1425467    

Description mreynolds 2017-02-23 15:41:27 UTC
Description of problem:


This could also be a release note I suppose.  

Basically this is just an overall improvement to the algorithms used to generate memberof attributes.


Design Doc:

http://www.port389.org/docs/389ds/design/memberof-scalability.html

Comment 4 Robert Krátký 2017-04-24 10:05:46 UTC
Slight reorg of the RN text.

Comment 5 Marc Muehlfeld 2017-05-29 09:52:57 UTC
The release note of this 389-ds-base enhancement has been published in the RHEL 7.4 beta release notes:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html/7.4_Release_Notes/index.html